Get Security project delete status
- Base URL
-
https://api.elastic-cloud.com
-
GET
/api/v1/serverless/projects/security/{id}/_can-delete
Auth
Find issues that would prevent deletion of a project
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
The ID of the project
The requested delete status
application/json
-
linked_projects
object[]
required
-
Details about linked origins that affect deletion.
-
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
ID of the project.
-
name
string · min length: 1 · max length: 255
-
Descriptive name for a project.
-
alias
string · min length: 1 · max length: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$
-
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
type
enum
required
-
The type of the linked project
-
Values:
elasticsearch
observability
security
vectordb
-
monitored_projects
object[]
required
-
Details about projects being monitored by the target project that affect deletion.
-
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
ID of the project.
-
name
string · min length: 1 · max length: 255
-
Descriptive name for a project.
-
alias
string · min length: 1 · max length: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$
-
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
type
enum
required
-
The type of the linked project
-
Values:
elasticsearch
observability
security
vectordb
-
can_be_deleted
boolean
required
-
Indicates whether the project can be deleted.
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.